Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class PropertiesTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.PropertiesTypeImpl

All Implemented Interfaces:
  PropertiesType

    public class PropertiesTypeImpl

extends java.lang.Object
implements PropertiesType

Nested Class Summary
`class` | `PropertiesTypeImpl.Unmarshaller`

Field Summary
`protected AgentType` | `_CardAuthor`
`protected java.io.Serializable` | `_DateCreated`
`protected com.sun.xml.bind.util.ListImpl` | `_DateModified`
`protected SimpleRichTextWithOwnerReplaceType` | `_DvprTitle`
`protected SimpleRichTextWithOwnerReplaceType` | `_UserTitle`
`static java.lang.Class` | `version`

Constructor Summary
`PropertiesTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getDateModified()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`AgentType` | `getCardAuthor()` Gets the value of the cardAuthor property.
`java.io.Serializable` | `getDateCreated()` Gets the value of the dateCreated property.
`java.util.List` | `getDateModified()` Gets the value of the DateModified property.
`SimpleRichTextWithOwnerReplaceType` | `getDvprTitle()` Gets the value of the dvprTitle property.
`java.lang.Class` | `getPrimaryInterface()`
`SimpleRichTextWithOwnerReplaceType` | `getUserTitle()` Gets the value of the userTitle property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCardAuthor(AgentType value)` Sets the value of the cardAuthor property.
`void` | `setDateCreated(java.io.Serializable value)` Sets the value of the dateCreated property.
`void` | `setDvprTitle(SimpleRichTextWithOwnerReplaceType value)` Sets the value of the dvprTitle property.
`void` | `setUserTitle(SimpleRichTextWithOwnerReplaceType value)` Sets the value of the userTitle property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _UserTitle

    protected SimpleRichTextWithOwnerReplaceType _UserTitle

### _DateModified

    protected com.sun.xml.bind.util.ListImpl _DateModified

### _CardAuthor

    protected AgentType _CardAuthor

### _DateCreated

    protected java.io.Serializable _DateCreated

### _DvprTitle

    protected SimpleRichTextWithOwnerReplaceType _DvprTitle

### version

    public static final java.lang.Class version

Constructor Detail

### PropertiesTypeImpl

    public PropertiesTypeImpl()

Method Detail

### getUserTitle

    public SimpleRichTextWithOwnerReplaceType getUserTitle()

  Description copied from interface: `PropertiesType`
  Gets the value of the userTitle property.

  Specified by:
    `getUserTitle` in interface `PropertiesType`
  Returns:
    possible object is `SimpleRichTextWithOwnerReplaceType`

### setUserTitle

    public void setUserTitle(SimpleRichTextWithOwnerReplaceType value)

  Description copied from interface: `PropertiesType`
  Sets the value of the userTitle property.

  Specified by:
    `setUserTitle` in interface `PropertiesType`
  Parameters:
    `value` - allowed object is `SimpleRichTextWithOwnerReplaceType`

### _getDateModified

    protected com.sun.xml.bind.util.ListImpl _getDateModified()

### getDateModified

    public java.util.List getDateModified()

  Description copied from interface: `PropertiesType`
  Gets the value of the DateModified property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DateModified property.

  For example, to add a new item, do as follows:

          getDateModified().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `String` `Calendar` `Calendar`

  Specified by:
    `getDateModified` in interface `PropertiesType`

### getCardAuthor

    public AgentType getCardAuthor()

  Description copied from interface: `PropertiesType`
  Gets the value of the cardAuthor property.

  Specified by:
    `getCardAuthor` in interface `PropertiesType`
  Returns:
    possible object is `AgentType`

### setCardAuthor

    public void setCardAuthor(AgentType value)

  Description copied from interface: `PropertiesType`
  Sets the value of the cardAuthor property.

  Specified by:
    `setCardAuthor` in interface `PropertiesType`
  Parameters:
    `value` - allowed object is `AgentType`

### getDateCreated

    public java.io.Serializable getDateCreated()

  Description copied from interface: `PropertiesType`
  Gets the value of the dateCreated property.

  Specified by:
    `getDateCreated` in interface `PropertiesType`
  Returns:
    possible object is `Calendar` `Calendar` `String` `String`

### setDateCreated

    public void setDateCreated(java.io.Serializable value)

  Description copied from interface: `PropertiesType`
  Sets the value of the dateCreated property.

  Specified by:
    `setDateCreated` in interface `PropertiesType`
  Parameters:
    `value` - allowed object is `Calendar` `Calendar` `String` `String`

### getDvprTitle

    public SimpleRichTextWithOwnerReplaceType getDvprTitle()

  Description copied from interface: `PropertiesType`
  Gets the value of the dvprTitle property.

  Specified by:
    `getDvprTitle` in interface `PropertiesType`
  Returns:
    possible object is `SimpleRichTextWithOwnerReplaceType`

### setDvprTitle

    public void setDvprTitle(SimpleRichTextWithOwnerReplaceType value)

  Description copied from interface: `PropertiesType`
  Sets the value of the dvprTitle property.

  Specified by:
    `setDvprTitle` in interface `PropertiesType`
  Parameters:
    `value` - allowed object is `SimpleRichTextWithOwnerReplaceType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD